package com.jz.common.enums;

/**
 * 测试连通状态
 *
 * @author Bellamy
 * @since 2021-01-04 14:30:23
 */
public enum TestConnectStatusEnum {
    /**
     * 测试
     */
    WCS("WCS", "01"),

    /**
     * 连通性正常
     */
    CSZC("CSZC", "02"),

    /**
     * 连通性异常
     */
    CSYC("CSYC", "03"),

    ;

    private String code;

    private String value;

    private TestConnectStatusEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static TestConnectStatusEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (TestConnectStatusEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
