package com.jz.dmp.modules.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 任务开发(DmpDevelopTask)实体类
 *
 * @author Bellamy
 * @since 2020-12-22 16:37:54
 */
@ApiModel(value = "任务开发实体类", description = "任务开发实体类")
public class DmpDevelopTask implements Serializable {
    private static final long serialVersionUID = 492051123327188782L;
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Integer id;
    /**
     * 数据源ID
     */
    @ApiModelProperty(value = "数据源ID")
    private Integer datasourceId;
    /**
     * 任务类型（1，开发任务；2，离线任务）
     */
    @ApiModelProperty(value = "任务类型（1，开发任务；2，离线任务）")
    private String taskType;
    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String type;
    /**
     * 调度类型
     */
    @ApiModelProperty(value = "调度类型")
    private String scheduleType;
    /**
     * 是否已提交
     */
    @ApiModelProperty(value = "是否已提交")
    private String isSubmit;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String taskDesc;
    /**
     * 脚本
     */
    @ApiModelProperty(value = "脚本")
    private String script;
    /**
     * 数据状态
     */
    @ApiModelProperty(value = "数据状态")
    private String dataStatus;
    /**
     * 创建用户ID
     */
    @ApiModelProperty(value = "创建用户ID")
    private String createUserId;
    /**
     * 数据创建时间
     */
    @ApiModelProperty(value = "数据创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建用户ID
     */
    @ApiModelProperty(value = "创建用户ID")
    private String updateUserId;
    /**
     * 数据更新时间
     */
    @ApiModelProperty(value = "数据更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * tree ID
     */
    @ApiModelProperty(value = "tree ID")
    private Integer treeId;
    /**
     * 校验状态:SUCCEED 成功, FAIL 失败
     */
    @ApiModelProperty(value = "校验状态:SUCCEED 成功, FAIL 失败")
    private String chkResult;
    /**
     * 同步状态:SUCCEED 成功，FAIL 失败
     */
    @ApiModelProperty(value = "同步状态:SUCCEED 成功，FAIL 失败")
    private String syncResult;
    /**
     * 最终校验时间
     */
    @ApiModelProperty(value = "最终校验时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date chkTime;
    /**
     * 最终同步时间
     */
    @ApiModelProperty(value = "最终同步时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date syncTime;

    @ApiModelProperty(value = "")
    private String flowHeader;

    @ApiModelProperty(value = "工作流json")
    private Object flowJson;

    @ApiModelProperty(value = "版本")
    private String version;

    @ApiModelProperty(value = "是否压缩")
    private Integer isGziped;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private Integer projectId;

    /*
    * 父节点ID
    * */
    @ApiModelProperty(value = "父节点ID")
    private Integer parentId;

    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private byte[] data;

    /*
     * 源数据库id
     * */
    @ApiModelProperty(value = "源数据库id")
    private String sourceDbId;

    /*
     * 目标数据库名称
     * */
    @ApiModelProperty(value = "目标数据库名称")
    private String targetDbName;

    /*
     * 目标数据库表名称
     * */
    @ApiModelProperty(value = "目标数据库表")
    private String targetTableName;

    /*
     * 源数据库表名称
     * */
    @ApiModelProperty(value = "源数据库表")
    private String sourceDbName;

    /*
     * 源数据库表名称
     * */
    @ApiModelProperty(value = "源数据库表")
    private String sourceTableName;
    
    //辅助字段
    @ApiModelProperty(value = "任务名称")
	private String name;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDatasourceId() {
        return datasourceId;
    }

    public void setDatasourceId(Integer datasourceId) {
        this.datasourceId = datasourceId;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getScheduleType() {
        return scheduleType;
    }

    public void setScheduleType(String scheduleType) {
        this.scheduleType = scheduleType;
    }

    public String getIsSubmit() {
        return isSubmit;
    }

    public void setIsSubmit(String isSubmit) {
        this.isSubmit = isSubmit;
    }

    public String getTaskDesc() {
        return taskDesc;
    }

    public void setTaskDesc(String taskDesc) {
        this.taskDesc = taskDesc;
    }

    public String getScript() {
        return script;
    }

    public void setScript(String script) {
        this.script = script;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getTreeId() {
        return treeId;
    }

    public void setTreeId(Integer treeId) {
        this.treeId = treeId;
    }

    public String getChkResult() {
        return chkResult;
    }

    public void setChkResult(String chkResult) {
        this.chkResult = chkResult;
    }

    public String getSyncResult() {
        return syncResult;
    }

    public void setSyncResult(String syncResult) {
        this.syncResult = syncResult;
    }

    public Date getChkTime() {
        return chkTime;
    }

    public void setChkTime(Date chkTime) {
        this.chkTime = chkTime;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public String getFlowHeader() {
        return flowHeader;
    }

    public void setFlowHeader(String flowHeader) {
        this.flowHeader = flowHeader;
    }

    public Object getFlowJson() {
        return flowJson;
    }

    public void setFlowJson(Object flowJson) {
        this.flowJson = flowJson;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getIsGziped() {
        return isGziped;
    }

    public void setIsGziped(Integer isGziped) {
        this.isGziped = isGziped;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }

    public String getSourceDbId() {
        return sourceDbId;
    }

    public void setSourceDbId(String sourceDbId) {
        this.sourceDbId = sourceDbId;
    }

    public String getTargetDbName() {
        return targetDbName;
    }

    public void setTargetDbName(String targetDbName) {
        this.targetDbName = targetDbName;
    }

    public String getSourceTableName() {
        return sourceTableName;
    }

    public void setSourceTableName(String sourceTableName) {
        this.sourceTableName = sourceTableName;
    }

    public String getTargetTableName() {
        return targetTableName;
    }

    public void setTargetTableName(String targetTableName) {
        this.targetTableName = targetTableName;
    }

    public String getSourceDbName() {
        return sourceDbName;
    }

    public void setSourceDbName(String sourceDbName) {
        this.sourceDbName = sourceDbName;
    }

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
    
}