package com.jz.dmp.modules.service;


import java.util.List;
import java.util.Map;

import com.jz.dmp.modules.model.DmpWorkFlowSubmitDetails;

public interface DmpWorkFlowSubmitDetailsService {

    /**
     * 获取项目里某个流的节点的最新数据
     *
     * @param map projectId :项目id
     *            flowName ：流名称
     * @return
     */
    public List<DmpWorkFlowSubmitDetails> getLatestUnderFlowByNodeName(Map map);

    /**
     * 根据项目id 流程名 节点名称 获取最新的版本号
     *
     * @param map
     * @return
     */
    public int getLatestVersionByProjectIdFlowNameAndNodeName(Map map);

    /**
     * 根据项目id 流程名 节点名删除对应的提交详情
     *
     * @param map
     */
    public void deleteDmpWorkFlowSubmitDetailsByProjectIdFlowNameAndNodeName(Map map);

    /**
     * 获取某个项目下除了当前流下的所有job名称  判断是否重复
     *
     * @param queryMap projectId:项目id
     *                 flowName：流程名
     * @return
     */
    public Map<String, Integer> getAllJobNamesByProjectIdBesidesFlowName(Map queryMap);

    /**
     * 根据scheduleProjectId、scheduleFlowName、nodeName拉取节点历史
     */
    public List<DmpWorkFlowSubmitDetails> findNodeHistory(DmpWorkFlowSubmitDetails body);

    public DmpWorkFlowSubmitDetails getMaxVersionByScheduleProjectIdAndFlowNameNodeName(Map map);

    public void deleteByFlow(DmpWorkFlowSubmitDetails detail);

    /**
     * 检查节点名称是否存在
     *
     * @param nodeName
     * @return
     */
    boolean checkNodeNameExists(String nodeName);


}
